Firefox 4 : mises à jour automatiques et transparentes

Le par  |  15 commentaire(s)
Firefox_Nouveau_Logo

À partir de sa version 4, Firefox devrait bénéficier de mises à jour automatiques lorsqu'elles sont mineures, sans que l'utilisateur ne soit sollicité par la traditionnelle boîte de dialogue.

Firefox_Nouveau_LogoCe mécanisme de mise à jour n'a pas encore fait son apparition dans la dernière version bêta de Firefox 4. Pour la version finale par contre, Firefox devrait vérifier automatiquement la disponibilité de nouvelles mises à jour et les installer sans demander la confirmation de l'utilisateur.

Selon Alex Faaborg, responsable du design Firefox chez Mozilla, les mises à jour dites mineures interviendront automatiquement pour Firefox 4. Par mises à jour mineures, il sous-entend les mises à jour de maintenance qui contiennent notamment des correctifs de sécurité mais n'apportent pas de nouvelles fonctionnalités.


Des mises à jour silencieuses
L'utilisateur ne devrait donc plus avoir affaire à la traditionnelle boîte de dialogue comme c'est le cas actuellement lors d'une notification de mise à jour. Tout se fera de manière transparente, en tâche de fond. Reste que l'utilisateur pourra tout de même modifier ce comportement par défaut via les options. Une différence notable par rapport au mécanisme similaire présent dans Google Chrome.

Pour Alex Faaborg, la majorité des utilisateurs n'aiment pas être ennuyés par des détails relatifs à une mise à jour mineure, et de pointer du doigt la confusion qui en découle avec l'utilisateur qui ne fait plus la différence avec la publication d'un nouvelle mouture ( majeure celle-là ) de Firefox.

Selon Computerworld qui a repéré la discussion au sujet de cette fonctionnalité de mise à jour automatique, elle ne sera mise en œuvre que sous Windows.

Complément d'information

Vos commentaires Page 1 / 2

Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Le #674791
./Reste que l'utilisateur pourra tout de même modifier ce comportement par défaut via les options./.

encore heureux,car sans ça je change de browser.moi j'aime bien savoir qui veux faire quoi,et seulement si je le souhaite.
sur que les 3/4 des gens sous winxxx ils s'en foutent, ont leur a déjà mis l'os,ont a tatouer leur pc bref tous le monde y a mis ça petite merde donc .....

**
Le #674801
par contre, sous ton linuxxxxx, tu penseras à installer un correcteur d'orthographe non tatoué.
Le #674831
Hey ma poule faut arrêter tes troll, des linux tatoué tout prêt y'en à aussi maintenant!
Je serais pas étonné que tu utilise un de ceux la...

sed 's/mapool//g' news.html

Le #674881
En même temps y a eu tellement de conneries de dites que certains ne font pas les mises à jour (parait que c'est dangereux...)

Du coup au moins les mises à jour de sécurité du navigateur seront faites...
Le #674901
Je me demande pourquoi mapool s'excite comme ça.

Si tu es sur GNU/Linux tu n'es normalement pas concerné vu que tu vas mettre Firefox à jour avec les dépôts.

Je trouve ça bien car la plupart des utilisateurs lambda clique sur non car ils ont la flemme ou ne lisent pas.

Sinon c'est bien qu'il laisse le choix pour les utilisateurs averti/avancés qui aiment connaître les changements effectués.
Le #674921
"Si tu es sur GNU/Linux tu n'es normalement pas concerné vu que tu vas mettre Firefox à jour avec les dépôts."

+1 Shaeck
Le #674931
Pourquoi ne pas faire les choses dans le bon sens et demander lors de la première mise à jour mineure si l'utilisateur souhaite continuer à être averti (sans passer par les options de Firefox) ?
Le #675001
Heureusement que c'est un logiciel libre sinon j'aurais trouvé ça douteux...
Le #675111
Quoi qu'on en dise je trouve ça douteux d'activer l'option par défaut, logiciel libre ou non.

Ca part d'un bon sentiment, mais d'un autre côté, c'est une faille de sécurité potentielle supplémentaire, car après tout... qu'est ce qui empêche de faire passer un code malicieux pour une mise à jour ? un manque de vérification et hop, tout le monde est infecté.

Je sais que le risque existe déjà aujourd'hui, mais il y a une action à faire pour valider la mise à jour, l'utilisateur est "conscient" de ce qu'il fait (oui je sais que la plupart des utilisateurs ne lisent pas les boites de dialogue, j'en sais quelque chose, je suis développeur )

Après, je ne me sens pas concerné, j'utilise en majorité Safari et Opera (IE et FF c'est pour le boulot)
Le #675211
@alucardx77

je t'encourage fortement a relire tes coms,et la tu comprendras qu'il faut tourner sept fois sa plume avant d'écrire.

@Linuxien
./Hey ma poule.../. mapool s'il te plait,peut être(surement même) tu n'en comprends pas la signification,mais il me semble t'avoir déjà dis que tu ne fais pas parti de mes intimes(sinon tu t'en souviendrais)
pour le reste ben t'as tout faux,et le tatouage si t'est pas mancho,ne pose aucun problème as tu compris linuchien?

@Shaeck
moi excité.....
./Si tu es sur GNU/Linux tu n'es normalement pas concerné vu que tu vas mettre Firefox à jour avec les dépôts./.
si j'attends le bon plaisir des dev oui sinon je passe par la console.tu suis là...

@lidstah a écris :"
"Si tu es sur GNU/Linux tu n'es normalement pas concerné vu que tu vas mettre Firefox à jour avec les dépôts."

+1 Shaeck :"
même remarque que ci dessus ,y pas que les dépôts

-10

Suivre les commentaires
Poster un commentaire
Anonyme
:) ;) :D ^^ 8) :| :lol: :p :-/ :o :w00t: :roll: :( :cry: :facepalm:
:andy: :annoyed: :bandit: :alien: :ninja: :agent: :doh: :@ :sick: :kiss: :love: :sleep: :whistle: =]